/{organizationId}/{mandateId}/finance/cash/sepaDirectDebits/listList sepa direct debits
Returns a list of sepa direct debits for a given mandate
Required permissions:
mandate.read
sepaDirectDebit.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
limitintegeroptional Default: 50
minimum: 0
maximum: 100
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
returnCountbooleanoptional Default: false
cashAccountIdstringoptional searchTermstringoptional fromDatestringoptional toDatestringoptional totalAmountintegeroptional minimum: -9007199254740991
maximum: 9007199254740991
viewstringoptional Options:
unsubmittedsubmittedpendingexecutedpaidAuthentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/cash/sepaDirectDebits/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"sort": {},
"limit": 50,
"offset": 0
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
countintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"count": 0,
"sepaDirectDebits": [
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"cashAccount": "000000000000000000000001",
"number": "string",
"chunk": 1,
"sepaMsgId": "string",
"executeAt": "string",
"transactionsCount": 1,
"totalAmount": 1,
"totalPaidAmount": 0,
"paidTransactionsCount": 0,
"returnedTransactionsCount": 0,
"submittedAt": "2026-06-15T22:30:00Z",
"submittedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"finApiSubmission": {
"webFormId": "string",
"paymentId": 1,
"status": "pending",
"reason": "string"
},
"type": "BASIC"
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}